Package tigase.db.beans

# Class AuthRepositoryMDPoolBean

java.lang.Object
tigase.db.beans.MDPoolBean<S,T>
tigase.db.beans.MDPoolBeanWithStatistics<AuthRepository,AuthRepositoryMDPoolBean.AuthRepositoryConfigBean>
tigase.db.AuthRepositoryMDImpl
tigase.db.beans.AuthRepositoryMDPoolBean

All Implemented Interfaces:
  `AuthRepository`, `Repository`, `RegistrarBean`, `RegistrarBeanWithDefaultBeanClass`, `ComponentStatisticsProvider`, `StatisticsProviderIfc`

@Bean(name="authRepository", parent=Kernel.class, exportable=true, active=true) @ConfigType({DefaultMode,SessionManagerMode,ConnectionManagersMode,ComponentMode}) public class AuthRepositoryMDPoolBean extends AuthRepositoryMDImpl
Class implements bean for multi domain pool for authentication repositories.
Created by andrzej on 08.03.2016.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AuthRepositoryMDPoolBean.AuthRepositoryConfigBean`

  ## Nested classes/interfaces inherited from interface tigase.db.AuthRepository

  `AuthRepository.AccountStatus, AuthRepository.DefaultCredentials, AuthRepository.SingleCredential`

  ## Nested classes/interfaces inherited from interface tigase.db.Repository

  `Repository.Meta, Repository.SchemaId`

- ## Field Summary

  ### Fields inherited from class tigase.db.beans.MDPoolBean

  `POOL_CLASS, POOL_SIZE, REPO_CLASS, REPO_URI`

  ### Fields inherited from interface tigase.db.AuthRepository

  `DATA_KEY, DIGEST_ID_KEY, DIGEST_KEY, MACHANISM_KEY, PASSWORD_KEY, PROTOCOL_KEY, PROTOCOL_VAL_NONSASL, PROTOCOL_VAL_SASL, REALM_KEY, RESULT_KEY, SERVER_NAME_KEY, USER_ID_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthRepositoryMDPoolBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `belongsTo(Class<? extends BasicComponent> component)`
  `Class<? extends AuthRepositoryMDPoolBean.AuthRepositoryConfigBean>`
  `getConfigClass()`
  Returns per domain configuration class
  `Class<?>`
  `getDefaultBeanClass()`
  Returns default class for all bean which are defined using configuration as subbeans of bean implementing this interface.
  `void`
  `getStatistics(String compName, StatisticsList list)`

  ### Methods inherited from class tigase.db.AuthRepositoryMDImpl

  `addUser, getAccountStatus, getActiveUsersCountIn, getCredentialIds, getCredentials, getPassword, getResourceUri, getUsersCount, getUsersCount, initRepository, isMechanismSupported, isUserDisabled, loggedIn, logout, otherAuth, queryAuth, removeCredential, removeUser, setAccountStatus, setUserDisabled, updateCredential, updateCredential, updatePassword`

  ### Methods inherited from class tigase.db.beans.MDPoolBeanWithStatistics

  `addRepo, everyHour, everyMinute, everySecond, getDefaultRepository, getDomainsList, getRepo, removeRepo, repositoriesStream, setDefault, setStatisticsEnabled, wrapInProxy`

  ### Methods inherited from class tigase.db.beans.MDPoolBean

  `getDefaultAlias, getName, register, registerConfigBean, unregister`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.db.AuthRepository

  `getUsernames, setCredentialsCodecs`

- ## Constructor Details

  - ### AuthRepositoryMDPoolBean

    public AuthRepositoryMDPoolBean()

- ## Method Details

  - ### belongsTo

    public boolean belongsTo(Class<? extends BasicComponent> component)

  - ### getStatistics

    public void getStatistics(String compName, StatisticsList list)
    Specified by:
      `getStatistics` in interface `StatisticsProviderIfc`
    Overrides:
      `getStatistics` in class `MDPoolBeanWithStatistics<AuthRepository,AuthRepositoryMDPoolBean.AuthRepositoryConfigBean>`

  - ### getConfigClass

    public Class<? extends AuthRepositoryMDPoolBean.AuthRepositoryConfigBean> getConfigClass()
    Description copied from class: `MDPoolBean`
    Returns per domain configuration class
    Specified by:
      `getConfigClass` in class `MDPoolBean<AuthRepository,AuthRepositoryMDPoolBean.AuthRepositoryConfigBean>`
    Returns:
      class

  - ### getDefaultBeanClass

    public Class<?> getDefaultBeanClass()
    Description copied from interface: `RegistrarBeanWithDefaultBeanClass`
    Returns default class for all bean which are defined using configuration as subbeans of bean implementing this interface. This allows users to have more convenient configuration file without the need to specify class for each of subbbeans if most of them will have the same class.